<form
#triggerFormDirective="ngForm"
class="trigger-container"
[formGroup]="triggerForm"
(ngSubmit)="onSubmit()">
  <div class="form-field-container">
    <mat-form-field>
      <mat-label>Tissue</mat-label>
      <input
      type="text"
      matInput
      formControlName="tissue"
      [matAutocomplete]="autoTissue">
      <mat-error *ngIf="tissueControl?.errors">
        <ng-container *ngFor="let error of getErrorMessages('tissue', tissueControl?.errors)">
          {{error}}
        </ng-container>
      </mat-error>
      <mat-autocomplete #autoTissue="matAutocomplete">
        <mat-option
        *ngFor="let tissue of filteredTissues | async"
        [value]="tissue.tag_translations | translate">
          {{tissue.tag_translations | translate}}
        </mat-option>
      </mat-autocomplete>
    </mat-form-field>
    <mat-form-field>
      <mat-label>Stain</mat-label>
      <input
      type="text"
      matInput
      formControlName="stain"
      [matAutocomplete]="autoStain">
      <mat-error *ngIf="stainControl?.errors">
        <ng-container *ngFor="let error of getErrorMessages('stain', stainControl?.errors)">
          {{error}}
        </ng-container>
      </mat-error>
      <mat-autocomplete #autoStain="matAutocomplete">
        <mat-option
        *ngFor="let stain of filteredStains | async"
        [value]="stain.tag_translations | translate">
          {{stain.tag_translations | translate}}
        </mat-option>
      </mat-autocomplete>
    </mat-form-field>
    <mat-form-field>
      <mat-label>App</mat-label>
      <input
      type="text"
      matInput
      formControlName="app"
      [matAutocomplete]="autoApp">
      <mat-error *ngIf="appControl?.errors">
        <ng-container *ngFor="let error of getErrorMessages('app', appControl?.errors)">
          {{error}}
        </ng-container>
      </mat-error>
      <mat-autocomplete #autoApp="matAutocomplete">
        <mat-option
        *ngFor="let app of filteredApps | async"
        [value]="createAppName(app)">
          {{createAppName(app)}}
        </mat-option>
      </mat-autocomplete>
    </mat-form-field>
  </div>
  <mat-action-list class="action-button-container">
    <button
    mat-icon-button
    color="primary"
    class="icon-button"
    type="submit"
    [disabled]="triggerForm.invalid">
      <mat-icon>add_circle</mat-icon>
    </button>
  </mat-action-list>
</form>
